{% extends 'dashboard/base.html' %}

{% block styles %}
  {{super()}}
  <style>
    .list-group {
      padding-left: 0;
      margin-bottom: 20px;
    }
    .list-group-unbordered>.list-group-item {
      border-left: 0;
      border-right: 0;
      border-radius: 0;
      padding-left: 0;
      padding-right: 0;
    }
    .list-group-item {
      position: relative;
      display: block;
      padding: 10px 15px;
      margin-bottom: -1px;
      background-color: #fff;
      border: 1px solid #ddd;
    }
    .pull-right {
      float: right!important;
      margin-left: 5px;
    }
  </style>
{% endblock %}

{% block scripts %}
  {{super()}}
  <script>
    var sessions = JSON.parse('{{atcsessions|tojson}}')
    var session = Object()
    function sendSessionToDialog(_id){
      let modal = $("#deleteSessionModal")
      session = sessions.find(function(session){
        return session._id == _id
      })

      modal.modal()
    }

    $('#deleteForm').submit(function(eventObj) {
      $(this).append('<input type="hidden" name="sessionid" value="'+session._id+'">')
    })
  </script>

{% endblock %}

{% block page_content %}
  <div class="row">
    <div class="col-lg-6">
      <div class="col-xl-12 col-lg-12">
        <!-- Profile -->
        <div class="card shadow mb-4">
          <!-- User Information - Accordion -->
          <a href="#collapseCardExample" class="d-block card-header py-3" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
              <h6 class="m-0 font-weight-bold text-primary">Information</h6>
          </a>
          <!-- User Information - Collapse -->
          <div class="collapse show" id="collapseCardExample">
              <div class="card-body">
                  <ul class="list-group list-group-unbordered">
                      <li class="list-group-item">
                          <b>CID</b> <a class="pull-right">{{ current_user.cid }}</a>
                      </li>
                      <li class="list-group-item">
                          <b>Name</b> <a class="pull-right">{{ current_user.name }}</a>
                      </li>
                      <li class="list-group-item">
                        <b>Position</b> <a class="pull-right">{{ current_user.vacc_relation.title() }}</a>
                      </li>
                      <li class="list-group-item">
                          <b>ATC Rating</b> <a class="pull-right vatsim-rating {{current_user.atc_rating.lower()}}"></a>
                      </li>
                      <li class="list-group-item">
                          <b>Pilot Ratings</b>
                          {% for rating in current_user.pilot_ratings | sort(reverse=True) %}
                          <a class="pull-right vatsim-rating {{rating.lower()}}"></a>
                          {% endfor %}
                      </li>
                      <li class="list-group-item">
                          <b>Email</b> <a class="pull-right">{{ current_user.email }}</a>
                      </li>
                      <li class="list-group-item">
                          <b>Country</b> <a class="pull-right">{{ current_user.country.id }} - {{ current_user.country.name }}</a>
                      </li>
                      <li class="list-group-item">
                          <b>Region</b> <a class="pull-right">{{ current_user.region.id }} - {{ current_user.region.name }}</a>
                      </li>
                      <li class="list-group-item">
                          <b>Division</b> <a class="pull-right">{{ current_user.division.id }} - {{ current_user.division.name }}</a>
                      </li>
                      <li class="list-group-item">
                          <b>Home vACC</b> <a class="pull-right">{{ current_user.subdivision.id }} - {{ current_user.subdivision.name }}</a>
                      </li>
                  </ul>
              </div>
          </div>
        </div>
      </div>
      {% if atcsessions|length > 0 %}
      <div class="col-xl-12 col-lg-12">
        <div class="card shadow mb-12">
          <!-- Certifications Header - Dropdown -->
          <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-primary">Booked ATC Sessions</h6>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                  <tr>
                    <th>Position</th>
                    <th>Type</th>
                    <th>Start Date</th>
                    <th></th>
                  </tr>
                </thead>
                <tbody>
                  {% for session in atcsessions %}
                    <tr>
                      <td>{{ session.position }}</td>
                      <td>{{ session.type }}</td>
                      <td>{{ session.starts.strftime('%Y-%m-%d %H:%M') }}</td>
                      <td>
                        <button
                          title="Delete Session"
                          class="open-deleteSessionModal"
                          style="background-color: transparent; border: none;"
                          onclick="sendSessionToDialog('{{session._id}}')">
                          <img width="24px" src="{{ url_for('static', filename='img/delete.png') }}">
                        </button>
                      </td>
                    </tr>
                  {% endfor %}
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      {% endif %}
    </div>
    <div class="col-lg-6">
      <!-- Certifications Chart -->
      <div class="col-xl-12 col-lg-12">
        <div class="card shadow mb-12">
          <!-- Certifications Header - Dropdown -->
          <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-primary">ATC Certifications</h6>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                  <tr>
                    <th>Position</th>
                    <th>Assigned Date</th>
                    <th>Assigned By</th>
                  </tr>
                </thead>
                <tbody>
                  {% for atccert in current_user.atc_certifications %}
                    <tr>
                      <td>{{ atccert.certification }}</td>
                      <td>{{ atccert.assigned_date.strftime('%Y-%m-%d %H:%M:%S') }}</td>
                      <td>{{ atccert.assigned_for }} - {{ current_user.name }}</td>
                    </tr>
                  {% endfor %}
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <form id="deleteForm" action="./controllers/sessions/delete" method="POST">
    <div class="modal fade" id="deleteSessionModal" tabindex="-1" role="dialog" aria-labelledby="deleteSessionModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="deleteSessionModalLabel">Do you want delete this session?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <input  class="btn btn-primary" style="color: #f8f9fc;" type="submit" value="Delete"></input>
          </div>
        </div>
      </div>
    </div>
  </form>
{% endblock %}
